## class TextureObject

## Inheritance:

### Public Fields

GLuint _id
GLenum _target
GLint _numMipmapLevels
GLenum _internalFormat
GLsizei _width
GLsizei _height
GLsizei _depth
GLint _border
bool _allocated
double _timeStamp

### Public Methods

inline TextureObject(GLuint id, GLenum target)
inline TextureObject(GLuint id, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
inline bool match(GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
inline void bind()
inline void setAllocated(bool allocated=true)
inline void setAllocated(GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
inline bool isAllocated() const
inline bool isReusable() const

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`inline TextureObject(GLuint id, GLenum target)`

`inline TextureObject(GLuint id, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`inline bool match(GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`inline void bind()`

`inline void setAllocated(bool allocated=true)`

`inline void setAllocated(GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)`

`inline bool isAllocated() const`

`inline bool isReusable() const`

`GLuint _id`

`GLenum _target`

`GLint _numMipmapLevels`

`GLenum _internalFormat`

`GLsizei _width`

`GLsizei _height`

`GLsizei _depth`

`GLint _border`

`bool _allocated`

`double _timeStamp`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.